# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::Cursor Class Reference

This class represents a text cursor. More...

`#include <cursorinterface.h>`

List of all members.

## Public Member Functions

virtual void | position (unsigned int *line, unsigned int *col) const =0
virtual bool | setPosition (unsigned int line, unsigned int col)=0
virtual bool | insertText (const QString &text)=0
virtual bool | removeText (unsigned int numberOfCharacters)=0
virtual QChar | currentChar () const =0

## Detailed Description

This class represents a text cursor.

Definition at line 33 of file cursorinterface.h.

The documentation for this class was generated from the following file:

- cursorinterface.h

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003